ClarisWksStruct::DSET::Child Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksStruct::DSET::Child Struct Reference

structure used to define the child of a DSET structure More...

`#include <ClarisWksStruct.hxx>`

## Public Member Functions
| Child ()
| constructor More...
Box2f | getBdBox () const
| return the zone bdbox More...

## Public Attributes
ChildType | m_type
| the type More...
int | m_id
| the identificator More...
long | m_posC
| a position (used in text zone to store the character ) More...
int | m_page
| the page if known More...
Box2f | m_box
| the bdbox More...

## Friends
std::ostream & | operator<< (std::ostream &o, Child const &ch)
| operator<< More...

## Detailed Description

structure used to define the child of a DSET structure

## Constructor & Destructor Documentation

ClarisWksStruct::DSET::Child::Child | ( |  | ) |
| inline

constructor

## Member Function Documentation

Box2f ClarisWksStruct::DSET::Child::getBdBox | ( |  | ) | const
| inline

return the zone bdbox

Referenced by ClarisWksStruct::DSET::findForbiddenPagesBreaking(), and ClarisWksStruct::DSET::updateChildPositions().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Child const & | ch
| ) |  |
| friend

operator<<

## Member Data Documentation

Box2f ClarisWksStruct::DSET::Child::m_box

the bdbox

Referenced by ClarisWksStruct::DSET::findForbiddenPagesBreaking(), ClarisWksGraphInternal::Zone::getChild(), ClarisWksGraphInternal::ZoneShape::getChild(), ClarisWksGraphInternal::ZonePict::getChild(), ClarisWksGraphInternal::ZoneZone::getChild(), ClarisWksGraphInternal::Chart::getChild(), ClarisWksGraphInternal::ZoneUnknown::getChild(), ClarisWksStruct::DSET::getUnionChildBox(), ClarisWksText::readDSETZone(), and ClarisWksStruct::DSET::updateChildPositions().

int ClarisWksStruct::DSET::Child::m_id

the identificator

Referenced by ClarisWksGraphInternal::ZoneZone::getChild().

int ClarisWksStruct::DSET::Child::m_page

the page if known

Referenced by ClarisWksStruct::DSET::updateChildPositions().

long ClarisWksStruct::DSET::Child::m_posC

a position (used in text zone to store the character )

Referenced by ClarisWksText::readDSETZone().

ChildType ClarisWksStruct::DSET::Child::m_type

the type

Referenced by ClarisWksGraphInternal::ZoneShape::getChild(), ClarisWksGraphInternal::ZonePict::getChild(), ClarisWksGraphInternal::ZoneZone::getChild(), ClarisWksGraphInternal::Chart::getChild(), ClarisWksGraphInternal::ZoneUnknown::getChild(), and ClarisWksText::readDSETZone().

The documentation for this struct was generated from the following file:

- ClarisWksStruct.hxx